<?php
/**
 * Plugin Name: ADASC Slider
 * Description: ADASC Custom Slider Admin Module
 * Version: 0.0.1
*/

	register_activation_hook(__FILE__,'slider_plugin_install');
	//register_deactivation_hook( __FILE__, 'my_plugin_remove_database');
	register_deactivation_hook(__FILE__,'slider_plugin_uninstall');

	function slider_plugin_install(){
		global $wpdb;

		$tablesliderType		=	$wpdb->prefix."ada_slider_type";
		$structuresliderType	=	"CREATE TABLE IF NOT EXISTS $tablesliderType (
										`id` int(11) NOT NULL AUTO_INCREMENT,
										`title_name` VARCHAR(255) NOT NULL,
										`time_interval` int(11) NOT NULL,
										`slider_nav` ENUM('enable','disable') NOT NULL DEFAULT 'enable',
										`added_date` DATETIME NOT NULL,
										PRIMARY KEY (`id`)
									)";
		$wpdb->query($structuresliderType);
	
		$tablesliderimage		=	$wpdb->prefix."ada_slider_image";
		$structuresliderimage	=	"CREATE TABLE IF NOT EXISTS $tablesliderimage (
										`slider_id` int(11) NOT NULL AUTO_INCREMENT,
										`slider_type` int(11) NOT NULL,
										`slider_image` VARCHAR(255) NOT NULL,
										`title` VARCHAR(255) NOT NULL,
										`alt_text` VARCHAR(255) NOT NULL,
										`description` TEXT NOT NULL,
									`image_position` ENUM('default','center','center_top','center_bottom') NOT NULL DEFAULT 'default',
										`sort_order` int(11) NOT NULL,
										`added_date` DATETIME NOT NULL,
										PRIMARY KEY (`slider_id`)
									)";
		$wpdb->query($structuresliderimage);							
	}


	function slider_plugin_uninstall() {
	    global $wpdb;

	    $tablesliderType		=	$wpdb->prefix."ada_slider_type";
		$structuresliderType	=	"DROP TABLE IF EXISTS $tablesliderType";
		$wpdb->query($structuresliderType);

		$tablesliderimage		=	$wpdb->prefix."ada_slider_image";
		$structuresliderimage	=	"DROP TABLE IF EXISTS $tablesliderimage";
		$wpdb->query($structuresliderimage);

	    delete_option("my_plugin_db_version");
	}   
	
	add_action('admin_menu','slider_control');
	function slider_control(){
		$tmp	=	basename(dirname(__FILE__));
		add_menu_page('ADASC Slider','ADASC Slider','',__FILE__,'','');
		add_submenu_page(__FILE__,'View ADASC Slider','View ADASC Slider','0','sliderimage','sliderimage');
		add_submenu_page(__FILE__,'Add Slider','Add Slider','0','sliderimage&action=add','sliderimage&action=add');
		add_submenu_page(__FILE__,'Settings','Settings','0','sliderimage&action=settings','sliderimage&action=settings');
	}	

	function sliderimage(){
		include('sliderimage.php');
	}
	function load_wp_media_files1() {
		wp_enqueue_media();
	}
	add_action( 'admin_enqueue_scripts', 'load_wp_media_files1' );

	/*function load_admin_things() {
	    wp_enqueue_script('media-upload');
	    wp_enqueue_script('thickbox');
	    wp_enqueue_style('thickbox');
	}

	add_action( 'admin_enqueue_scripts', 'load_admin_things' );*/

	function demo_handler( $atts ) {
    extract( shortcode_atts( array(
        'id' => '',
    ), $atts, 'ada_slider' ) );

	    $demolph_output = demoplug_function( $id );  
	    return $demolph_output;
	}
	add_shortcode( "ada_slider", "demo_handler" );

	function demoplug_function($id) { 
		ob_start();
    //get_template_part('my_form_template');
    
		global $wpdb;
		$strSliderSql		=	"SELECT A.*,B.* FROM ".$wpdb->prefix."ada_slider_image as A LEFT JOIN ".$wpdb->prefix."ada_slider_type as B ON A.slider_type = B.id WHERE A.slider_type = '".$id."' order by A.sort_order ASC"; 
		$strSliderResults 	=	$wpdb->get_results($strSliderSql);
		include('slider.php');	
		return ob_get_clean();

	}
?>